Table of Contents

Class: BrowserMethod | eric3/UI/Browser.py
--- | ---

Class implementing a BrowserNode that represents a python method.

Base Classes |
--- | ---

BrowserNode

QListViewItem

Methods |
--- | ---
__init__
| __init__

    __init__ (
            self,
            parent,
            name,
            after,
            cl,
            filename,
            params,
            )

### Constructor

#### Arguments

parent
  parent Browser or BrowserNode
name
  classname to display (string or QString)
after
  sibling this node is positioned after
cl
  class this method belongs to
filename
  filename of the file defining this method
params
  parameters of the method

Table of Contents

This document was automatically generated by HappyDoc version 2.1